image:
  name: joonathan/google-cloud-sdk-envsubst:latest

variables:
  GCP_PROJECT_NAME:
    description: "What is the GCP project you'll be using for this cluster?"
    value: "bzhang-78d73a68"


stages:          # List of stages for jobs, and their order of execution
#  - configure-gcp
  - deploy

#build-job:       # This job runs in the build stage, which runs first.
#  stage: configure-gcp
#  script:
#    - ./scripts/1-gcp_config.sh

deploy-job:      # This job runs in the deploy stage.
  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
  environment: production
  image: dtzar/helm-kubectl
  script:     
    -  kubectl config use-context gitlab-partner-demos/next-gen-gitlab-flow-labs/gke-provisioning-via-crossplane:crossplane-agent
 #   - ./scripts/2-install_crossplane.sh
    - ./scripts/3-configure_gcp_provider.sh
    - ./scripts/4-create_gke_cluster.sh



